REST Resource: conferenceRecords.recordings

リソース: Recording

会議中に作成された録音に関するメタデータ。

JSON 表現
{
  "name": string,
  "state": enum (State),
  "startTime": string,
  "endTime": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "driveDestination": {
    object (DriveDestination)
  }
  // End of mutually exclusive fields.
}
フィールド
name

string

出力専用。録音のリソース名。形式: conferenceRecords/{conferenceRecord}/recordings/{recording}。ここで、{recording} は会議中の各一意のレコーディング セッションへの 1 対 1 のマッピングです。

state

enum (State)

出力専用。現在の状態。

startTime

string (Timestamp format)

出力専用。録音開始時のタイムスタンプ。

endTime

string (Timestamp format)

出力専用。録音終了時のタイムスタンプ。

以下は、相互に排他的なフィールドのリストです。レスポンスで設定されるフィールドは最大で 1 つです。
driveDestination

object (DriveDestination)

出力専用。録画は MP4 ファイルとして Google ドライブに保存されます。driveDestination には、Drive API の files.get メソッドを使用してファイルをダウンロードするために使用できる Drive fileId が含まれています。

相互に排他的なフィールドの終了。

DriveDestination

録画ファイルが Google ドライブに保存されるエクスポート先。

JSON 表現
{
  "file": string,
  "exportUri": string
}
フィールド
file

string

出力専用。基盤となる MP4 ファイルの fileId。例: 「1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP」。$ GET https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media を使用して blob をダウンロードします。詳しくは、https://developers.google.com/drive/api/v3/reference/files/get をご覧ください。

exportUri

string

出力専用。ブラウザで録音ファイルを再生するために使用されるリンク。例: https://drive.google.com/file/d/{$fileId}/view

録音セッションの現在の状態。

列挙型
STATE_UNSPECIFIED デフォルト。使用されません。
STARTED アクティブなレコーディング セッションが開始されました。
ENDED この録音セッションは終了しましたが、録音ファイルはまだ生成されていません。
FILE_GENERATED 録画ファイルが生成され、ダウンロードできるようになりました。

メソッド

get

録音 ID で録音を取得します。

list

会議レコードから録音リソースを一覧表示します。